Bug 79915 - DOCX export: Text Data lost
Summary: DOCX export: Text Data lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: BSA target:4.4.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-11 10:19 UTC by Ravindra Vidhate
Modified: 2014-10-17 08:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Original File (20.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-11 10:19 UTC, Ravindra Vidhate
Details
The Complete file (99.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-11 10:20 UTC, Ravindra Vidhate
Details
how the original compares to the re-exports in Word 2013 (118.14 KB, image/png)
2014-06-11 11:51 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-06-11 10:19:29 UTC
Created attachment 100872 [details]
Original File

Problem description: 
The text data is getting lost after exporting as DOCX file through LO

Steps to reproduce:
1. Open the attached docx file in LO.
2. Export the file into docx format.
3. Open the docx file in MS-Office, The text data is getting lost

Current behavior:
The text data is getting lost.

Expected behavior:
The text data should not be lost.
              
Operating System: Ubuntu
Version: 4.4.0.0.alpha0+ Master
Comment 1 Ravindra Vidhate 2014-06-11 10:20:23 UTC
Created attachment 100873 [details]
The Complete file
Comment 2 Yousuf Philips (jay) (retired) 2014-06-11 11:49:59 UTC
Checked on Windows 7 by exporting docx through 4.1.6, 4.2.4, 4.2.6, 4.3 beta 2 and 4.4 alpha back into Office 2013 and there are the results -

4.1 : image not rendered and text flowing behind partially transparent image area

4.2 : text is flowing behind the image

4.3 : a huge chunk of the first paragraph is gone

4.4 : looks good except it doesnt have black outline of image, which isnt there in any of the other versions as well
Comment 3 Yousuf Philips (jay) (retired) 2014-06-11 11:51:21 UTC
Created attachment 100878 [details]
how the original compares to the re-exports in Word 2013
Comment 4 Xisco Faulí 2014-06-11 13:12:13 UTC
bibisected:

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
18ee045c7e35e5ae98cffaafd56fb6fb37d7afcf
33ac6698e6d90d84f99d784b9553ee87eec27d6a
We cannot bisect more!

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# good: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect good c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [30cde618212ecaf5725321372bd1b8339f8e2b9f] source-hash-137f872aa8e6e598e7c7ed1ffa4d21e580e22bdb
git bisect good 30cde618212ecaf5725321372bd1b8339f8e2b9f
# good: [30cde618212ecaf5725321372bd1b8339f8e2b9f] source-hash-137f872aa8e6e598e7c7ed1ffa4d21e580e22bdb
git bisect good 30cde618212ecaf5725321372bd1b8339f8e2b9f
# good: [306d62ec4b911895f08f2bb8efefebed7ac795f0] source-hash-735bd120c9ee2d9bb3514907936c27efb75d7282
git bisect good 306d62ec4b911895f08f2bb8efefebed7ac795f0
# skip: [18ee045c7e35e5ae98cffaafd56fb6fb37d7afcf] source-hash-fe506f34f2dccb6562935fe4dfbc1fe6d609dec8
git bisect skip 18ee045c7e35e5ae98cffaafd56fb6fb37d7afcf
# good: [2a3d9160aa946746b49f306e4f8cc5ddcd27d922] source-hash-cff891fc44adcca745bcaa9ae95483bd63aa05ae
git bisect good 2a3d9160aa946746b49f306e4f8cc5ddcd27d922
# bad: [33ac6698e6d90d84f99d784b9553ee87eec27d6a] source-hash-732c0f929fc0229b6da37d4ec4b6de8994fcea46
git bisect bad 33ac6698e6d90d84f99d784b9553ee87eec27d6a
# good: [114afdde4043b0ea0a52e5c362eb9184e5aef5b4] source-hash-af1ac453dfb6041ba04a50117a481739c10307ab
git bisect good 114afdde4043b0ea0a52e5c362eb9184e5aef5b4
# good: [4b000297564ab0b23495a88354a595e285dcd899] source-hash-bda58c33afe9a9f6ca4f8b27bff44ba2c22da395
git bisect good 4b000297564ab0b23495a88354a595e285dcd899
# only skipped commits left to test
# possible first bad commit: [33ac6698e6d90d84f99d784b9553ee87eec27d6a] source-hash-732c0f929fc0229b6da37d4ec4b6de8994fcea46
# possible first bad commit: [18ee045c7e35e5ae98cffaafd56fb6fb37d7afcf] source-hash-fe506f34f2dccb6562935fe4dfbc1fe6d609dec8
Comment 5 Xisco Faulí 2014-06-11 13:35:46 UTC
I'm sorry but I posted the bibisect log of another issue.

THIS CASE HASN'T BEEN BIBISECTED YET!!
Comment 6 Commit Notification 2014-06-16 13:09:40 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe5b3c3357d9e613a0be53ec1e5546a59e21cea0

fdo#79915:Text Data Lost after exporting through LO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Yousuf Philips (jay) (retired) 2014-06-17 17:05:25 UTC
Hi Ravindra and Michael,

The loss of text was in 4.3 beta 2 and not in the 4.4 alpha according to my testing.
Comment 8 Björn Michaelsen 2014-10-11 13:35:09 UTC
(In reply to Xisco Faulí from comment #5)
> I'm sorry but I posted the bibisect log of another issue.
> 
> THIS CASE HASN'T BEEN BIBISECTED YET!!

Removing bibisected whiteboard status then.
Comment 9 tommy27 2014-10-17 04:44:09 UTC
I do not have MS Word to test, so please anyone could retest with recent master to see if patch in comment 6 did fix the bug?
Comment 10 Yousuf Philips (jay) (retired) 2014-10-17 08:04:18 UTC
It is fixed.